#include "..\C-Engine\CHeader.hpp"

class Control: public Script
{
    public:
    void Update();
};

void Control::Update()
{

    if(input_press(K_RIGHT))
    {
        Move(1,0);
        SetIt(6);
        GetObject()->GetRender()->ReverseRender(true);//Mise  jour du C-Engine On n'utilise plus ORender-> mais GetRender()-> qui est plus scuris.


    }
    else if(input_press(K_LEFT))
    {
        Move(-1,0);
	SetIt(6);
        GetObject()->GetRender()->ReverseRender(false);


    }
  else if(input_press(K_UP))
        {
	Move (0,1);

	SetIt(4);


        }
      else if(input_press(K_DOWN))
        {
	Move (0,-1);
	SetIt(2);

    }

    GetEngine()->MiddleScreen(GetX() + 6 , GetY() + 6);

}

int Jeu()
{

    //*************Sprites*************\\

const unsigned char avant_normale[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x9b, 0x29, 0xb5, 0xab, 0xb5, 0xab, 0x9f, 0x29, 0xce, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0x84, 0x28, 0xff, 0xef, };

const unsigned char avant_normale_n[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x9b, 0x29, 0xb5, 0xab, 0xb5, 0xab, 0x9f, 0x29, 0xce, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0x84, 0x28, 0xff, 0xef, };

const unsigned char avant_marche_1[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x9b, 0x29, 0xb5, 0xab, 0xb5, 0xab, 0x9f, 0x29, 0xce, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0x87, 0xef, 0xfc, 0x0, };

const unsigned char avant_marche_1_n[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x9b, 0x29, 0xb5, 0xab, 0xb5, 0xab, 0x9f, 0x29, 0xce, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0x87, 0xef, 0xfc, 0x0, };

const unsigned char avant_marche_2[]={0x3f, 0x8f, 0x60, 0xcf, 0xc0, 0x6f, 0x9b, 0x2f, 0xb5, 0xaf, 0xb5, 0xaf, 0x9f, 0x2f, 0xce, 0x6f, 0x60, 0xcf, 0xbb, 0xaf, 0xfc, 0x2f, 0x7, 0xef, };

const unsigned char avant_marche_2_n[]={0x3f, 0x8f, 0x60, 0xcf, 0xc0, 0x6f, 0x9b, 0x2f, 0xb5, 0xaf, 0xb5, 0xaf, 0x9f, 0x2f, 0xce, 0x6f, 0x60, 0xcf, 0xbb, 0xaf, 0xfc, 0x2f, 0x7, 0xef, };

const unsigned char arriere_normale[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0xc0, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0x84, 0x2f, 0xff, 0xe0, };

const unsigned char arriere_normale_n[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0xc0, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0x84, 0x2f, 0xff, 0xe0, };

const unsigned char arriere_marche_1[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0xc0, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0xfc, 0x28, 0x7, 0xef, };

const unsigned char arriere_marche_1_n[]={0x3f, 0x83, 0x60, 0xc6, 0xc0, 0x6c, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0x80, 0x28, 0xc0, 0x6c, 0x60, 0xc6, 0xbb, 0xab, 0xfc, 0x28, 0x7, 0xef, };

const unsigned char  arriere_marche_2[]={0x3f, 0x8f, 0x60, 0xcf, 0xc0, 0x6f, 0x80, 0x2f, 0x80, 0x2f, 0x80, 0x2f, 0x80, 0x2f, 0xc0, 0x6f, 0x60, 0xcf, 0xbb, 0xaf, 0x87, 0xef, 0xfc, 0xf, };

const unsigned char  arriere_marche_2_n[]={0x3f, 0x8f, 0x60, 0xcf, 0xc0, 0x6f, 0x80, 0x2f, 0x80, 0x2f, 0x80, 0x2f, 0x80, 0x2f, 0xc0, 0x6f, 0x60, 0xcf, 0xbb, 0xaf, 0x87, 0xef, 0xfc, 0xf, };

const unsigned char cote_normal[]={0x7f, 0x87, 0xf4, 0xcf, 0xf4, 0x6f, 0xb4, 0x2b, 0xb4, 0x2b, 0xf4, 0x2f, 0xe8, 0x2e, 0xe8, 0x6e, 0x70, 0xc7, 0x3b, 0xc3, 0x25, 0x4, 0x3e, 0x7, };

const unsigned char cote_normal_n[]={0x7f, 0x87, 0xf4, 0xcf, 0xf4, 0x6f, 0xb4, 0x2b, 0xb4, 0x2b, 0xf4, 0x2f, 0xe8, 0x2e, 0xe8, 0x6e, 0x70, 0xc7, 0x3b, 0xc3, 0x25, 0x4, 0x3e, 0x7, };

const unsigned char cote_marche_1[]={0x7f, 0x87, 0xf4, 0xcf, 0xf4, 0x6f, 0xb4, 0x2b, 0xb4, 0x2b, 0xf4, 0x2f, 0xe8, 0x2e, 0xe8, 0x6e, 0x70, 0xc7, 0x3b, 0xc3, 0x47, 0xe7, 0x79, 0xe7, };

const unsigned char cote_marche_1_n[]={0x7f, 0x87, 0xf4, 0xcf, 0xf4, 0x6f, 0xb4, 0x2b, 0xb4, 0x2b, 0xf4, 0x2f, 0xe8, 0x2e, 0xe8, 0x6e, 0x70, 0xc7, 0x3b, 0xc3, 0x47, 0xe7, 0x79, 0xe7, };

const unsigned char cote_marche_2[]={0x7f, 0x8f, 0xf4, 0xcf, 0xf4, 0x6f, 0xb4, 0x2f, 0xb4, 0x2f, 0xf4, 0x2f, 0xe8, 0x2f, 0xe8, 0x6f, 0x70, 0xcf, 0x3b, 0xcf, 0x7f, 0x2f, 0x79, 0xef, };

const unsigned char cote_marche_2_n[]={0x7f, 0x8f, 0xf4, 0xcf, 0xf4, 0x6f, 0xb4, 0x2f, 0xb4, 0x2f, 0xf4, 0x2f, 0xe8, 0x2f, 0xe8, 0x6f, 0x70, 0xcf, 0x3b, 0xcf, 0x7f, 0x2f, 0x79, 0xef, };

Sprite S_a_n (avant_normale, avant_normale_n,12,12); // Dans l'initialisation des Sprites il ne faut pas dfinir les const unsigned char comme tu fesait.
Sprite S_a_m1(avant_marche_1,avant_marche_1_n,12,12);//Sprite S_a_m1(avant_marche_1, const unsigned char avant_marche_1_n,12,12); est faux.
Sprite S_a_m2(avant_marche_2,avant_marche_2_n,12,12);//A la limite tu peux utiliser l'oprateur cast ( const unsigned char ) mais il est inutile ici.
Sprite S_ar_n(arriere_normale,arriere_normale_n,12,12);
Sprite S_ar_m1(arriere_marche_1,arriere_marche_1_n,12,12);
Sprite S_ar_m2( arriere_marche_2, arriere_marche_2_n,12,12);
Sprite S_c_n(cote_normal,cote_normal_n,12,12);S_c_n.CreateReverse();
Sprite S_c_m1(cote_marche_1,cote_marche_1_n,12,12);S_c_m1.CreateReverse();
Sprite S_c_m2(cote_marche_2,cote_marche_2_n,12,12);S_c_m2.CreateReverse();

Sprite S_marche_a[]={S_a_m1,S_a_m2};
Sprite S_marche_ar[]={S_ar_m1,S_ar_m2};
Sprite S_marche_c[]={S_c_m1,S_c_m2};

Animation A_a_n (S_a_n);//Mme remargue pour les Sprites.
Animation A_a_m(S_marche_a,2,200);//Animation A_a_m(Sprite S_marche_a,2,200); est faux.
Animation A_ar_n(S_ar_n);
Animation A_ar_m(S_marche_ar,2,200);
Animation A_c_n(S_c_n);
Animation A_c_m(S_marche_c,2,200);

Animation Aperso[]={ A_a_n,A_a_m,A_ar_n,A_ar_m,A_c_n,A_c_m};// Il manquait un point virgule.

    //*************Object*************\\

    Object Perso;

    Perso.GetTransforms()->SetXY( 13, 13 );
    Perso.GetRender()->SetRender( Aperso , 6);
    Perso.AddRigibody();//C'est la mise  jour du C-Engine qui rend impossible l'utilisation de Perso.ORigibody = new Rigibody(&perso);
    //Cette nouvelle ligne est plus scuris.

    Control * ScriptPerso = new Control; // Pour dfinir un script il y a deux mthode celle-ci qui est la plus scuris
    Perso.AffectScript(ScriptPerso);//et celle la.

    /*
    Control ScriptPerso;
    Perso.AffectScript(&ScriptPerso);

    */

    //*************Map*************\\

//Code tes sprites sur une lignes
const unsigned char tileset[]={
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x3, 0xff,
	0xc, 0xf,
	0x10, 0xf,
	0x60, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0x7f,
	0x80, 0x8f,
	0x81, 0xf,
	0x81, 0xf,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0xf,
	0x81, 0xf,
	0x80, 0x8f,
	0x80, 0x7f,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x60, 0xf,
	0x10, 0xf,
	0xc, 0xf,
	0x3, 0xff,
	0x81, 0x1f,
	0x81, 0xf,
	0x81, 0xf,
	0x80, 0x8f,
	0x80, 0x7f,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0xe0, 0xf,
	0x90, 0xf,
	0x8c, 0xf,
	0x83, 0xff,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x60, 0xf,
	0x10, 0xf,
	0xc, 0xf,
	0x3, 0xff,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0x80, 0xf,
	0xe0, 0xf,
	0x90, 0xf,
	0x8c, 0xf,
	0x83, 0xff,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0x0, 0xf,
	0x80, 0x1f,
	0x80, 0x1f,
	0x80, 0x1f,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0x0, 0xf,
	0xf, 0xf,
	0x30, 0xcf,
	0x20, 0x4f,
	0x40, 0x2f,
	0x40, 0x2f,
	0x40, 0x2f,
	0x40, 0x2f,
	0x40, 0x2f,
	0x40, 0x2f,
	0x40, 0x2f,
	0xff, 0xff,
	0xfc, 0xf,
	0x3, 0xf,
	0x0, 0x8f,
	0x0, 0x6f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0xe0, 0x1f,
	0x10, 0x1f,
	0x8, 0x1f,
	0x8, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x8, 0x1f,
	0x8, 0x1f,
	0x10, 0x1f,
	0xe0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x6f,
	0x0, 0x8f,
	0x3, 0xf,
	0xfc, 0xf,
	0x88, 0x1f,
	0x8, 0x1f,
	0x8, 0x1f,
	0x10, 0x1f,
	0xe0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x7f,
	0x0, 0x9f,
	0x3, 0x1f,
	0xfc, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x6f,
	0x0, 0x8f,
	0x3, 0xf,
	0xfc, 0xf,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x1f,
	0x0, 0x7f,
	0x0, 0x9f,
	0x3, 0x1f,
	0xfc, 0x1f,
	0x0, 0xef,
	0x11, 0x1f,
	0x21, 0x1f,
	0x41, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x81, 0x1f,
	0x70, 0xf,
	0x88, 0x8f,
	0x88, 0x4f,
	0x88, 0x2f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x88, 0x1f,
	0x6, 0xf,
	0x19, 0x8f,
	0x10, 0x8f,
	0xf9, 0x8f,
	0x16, 0x8f,
	0x10, 0x8f,
	0xf0, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0xf, 0xf,
	0x6, 0xf,
	0x19, 0x8f,
	0x10, 0x8f,
	0x19, 0xff,
	0x16, 0x8f,
	0x10, 0x8f,
	0x10, 0xff,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0xf, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0xff, 0xff,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x0, 0xf,
	0x6, 0xf,
	0x19, 0x8f,
	0x10, 0x8f,
	0x19, 0x8f,
	0x1f, 0x8f,
	0x19, 0x8f,
	0x19, 0x8f,
	0x19, 0x8f,
	0x19, 0x8f,
	0x19, 0x8f,
	0x19, 0x8f,
	0x9, 0xf,
	0xf, 0xf,
	0x19, 0x8f,
	0x10, 0x8f,
	0x19, 0x8f,
	0x16, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0x10, 0x8f,
	0xf, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0x9, 0xf,
	0xff, 0xff,
	0xa9, 0x5f,
	0xa9, 0x5f,
	0xa9, 0x5f,
	0xbf, 0xdf,
	0x80, 0x1f,
	0xf9, 0xff,
	0x89, 0x1f,
	0xaf, 0x5f,
	0xa0, 0x5f,
	0xf0, 0xff,
	0xff, 0xff,
};


   bool tileprop[]= { false, true};//Si tu  bien lu ce tableau dfinit quelles sont les blocs solide ou non.

const unsigned char * map[]={
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"000000000001777<000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"000000000002000=000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"000000000004888\?000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"000000000006:::A000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"000000017775:::A000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"00000002000=:::A000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"00000004888\?:;CA000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"00000006::;@00=A000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"EFD0EFD5;B0000=@000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"00000000048888\?0000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"00000v0005::;:@0000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000G000G0000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000I000I0000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
	"0000000000H000H0000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
};

    Map Niveau;
    Niveau.SetMap(tileset , map , tileprop , 12 , 12 ,100,200);

    //*************Moteur*************\\

    Engine Game;

    Game.AddObject( &Perso);
    Game.AffectMap( &Niveau);



    Niveau.AffectEngine( &Game);

    Game.Game();

    return 1;
}

extern "C"
{
int AddIn_main(int isAppli, unsigned short OptionNum)
{
    Jeu();
    return 1;
}


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section
}
